Bug 1922066 - Cannot create VM from custom template which has extra disk
Summary: Cannot create VM from custom template which has extra disk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Rastislav Wagner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-29 07:25 UTC by Guohua Ouyang
Modified: 2021-10-19 10:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:57:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
vm cannot create from template has extra disk (151.26 KB, image/png)
2021-01-29 07:25 UTC, Guohua Ouyang
no flags Details
template yaml (4.51 KB, text/plain)
2021-01-29 07:26 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7980 0 None closed Bug 1922066: Search for boot disk by boot order, not PVC value 2021-02-03 10:59:16 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:57:31 UTC

Description Guohua Ouyang 2021-01-29 07:25:46 UTC
Created attachment 1751961 [details]
vm cannot create from template has extra disk

Description of problem:
Cannot create VM from custom template which has extra disk.

Error is "Cannot destructure property 'name' of '(intermediate value)(intermediate value)(intermediate value)' as it is undefined."

Version-Release number of selected component (if applicable):
OCP 4.7

How reproducible:


Steps to Reproduce:
1. Create a template via wizard
2. Add an extra blank disk to the template
3. Create VM from it

Actual results:


Expected results:


Additional info:

Comment 1 Guohua Ouyang 2021-01-29 07:26:42 UTC
Created attachment 1751962 [details]
template yaml

Comment 3 Guohua Ouyang 2021-02-02 06:30:13 UTC
verified on master

Comment 6 errata-xmlrpc 2021-02-24 15:57:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.